#! /bin/bash

if [ "x$JAVA_HOME" == "x" ] || [ -d $JAVA_HOME ]; then 
    
    echo "looking for JAVA_HOME at /usr/local/j2sdk1.4.0"
    JAVA_HOME=/usr/local/j2sdk1.4.0
    
    if [ ! -d $JAVA_HOME ]; then
	echo "looking for JAVA_HOME at /usr/lib/java"
	JAVA_HOME=/usr/lib/java

	if [ ! -d $JAVA_HOME ]; then
	    echo "Please set JAVA_HOME. Exitting..."
	    exit
	fi
    fi
fi


echo "JAVA_HOME is set to $JAVA_HOME"



JARLIST=`ls -1 *.jar`
echo $JARLIST

PWD=`pwd`
for JAR in $JARLIST
do
  echo $JAR
  CLASSPATH=$PWD/$JAR:$CLASSPATH
done

echo CLASSPATH=$CLASSPATH


#figure out the number of servers
#NUM_SERVERS=`cat serverlist.props | grep "=" | grep -v "#" | wc -l | awk '{print $1}'`


#IF EXIST %JAVA_HOME%\jre\lib\tools.jar   set LCP=%LCP%;%JAVA_HOME%\jre\lib\tools.jar

echo  $JAVA_HOME/bin/java -classpath $CLASSPATH powerquotes.repmanager.GlobalReplicationManager 10

$JAVA_HOME/bin/java -classpath $CLASSPATH powerquotes.repmanager.GlobalReplicationManager 10





